如何在2015年部署生产meteor服务器?

meteor发生了变化,在docs.meteor.com中缺less生产部署。

我有一个相当不错的工作meteor应用程序在开发模式。 所以我把它捆绑到新的命令,因为bundle已经被弃用了:

meteor build ./build/ --architecture os.linux.x86_64 

在生产服务器上,我安装最新版本的nodejs(当前为0.12),复制和解压缩构build。 Mongo DB在其他服务器上,所以我只是重新定义了PORT,ROOT_URL,MONGO_OPLOG_URL和MONGO_URL环境variables。

但很快结束了太频繁看到的纤维缺less错误:

 module.js:338 throw err; ^ Error: Cannot find module 'fibers' at Function.Module._resolveFilename (module.js:336:15) at Function.Module._load (module.js:278:25) ........... 

所以,这是我的尝试:

  • npm install fibers@1.0.1 -g#但是失败。
  • npm安装光纤-g成功并安装版本1.0.5

情况如下:

 root@server:~# npm version { npm: '2.5.1', http_parser: '2.3', modules: '14', node: '0.12.0', openssl: '1.0.1l', uv: '1.0.2', v8: '3.28.73', zlib: '1.2.8' } root@server:~# npm ls -g | grep fibers ├── fibers@1.0.5 root@server:/opt/meteor/authmonitor-src# meteor list-platforms browser server 

但我仍然有同样的:错误:无法find模块“光纤”

问题:

  • 是否有关于如何在本地生产服务器上部署meteor应用程序的最新手册?
  • 为什么/我该如何安装光纤模块,以及哪个版本?
  • 导出NODE_PATH = / usr / local / lib / node_modules /部分帮助,但在安装完npm install xxx -g所需的模块(如下划线和semver)后,以其他光纤错误结束:“错误:模块没有自注册“。
  • 你会推荐什么?

谢谢,

       

网上收集的解决方案 "如何在2015年部署生产meteor服务器?"

是否有关于如何在本地生产服务器上部署meteor应用程序的最新手册?

不,没有官方文件。 该社区正在等待千年发展目标释放星系,这将成为meteor的付费托pipe服务。

为什么/我该如何安装光纤模块,以及哪个版本?

根据你写的内容,我发现有几件事可能是问题:

解开软件包后,您需要:

 $ cd bundle/programs/server && npm install 

您不需要全局安装任何节点模块,以使您的应用程序工作。

还build议您运行适合meteor版本的节点版本。 看看更新日志并search“节点”。 在写这篇文章的时候,推荐版本是0.10.33

托pipe

如果你正在像DigitalOcean或EC2那样相当简陋的主机,我build议使用Meteor Up来部署。 如果你喜欢自己做系统pipe理任务,我build议在这里和这里阅读我的相关答案。

另一个stream行的托pipeselect是模数 ,因为它更全面的服务。 你可以在这里和这里阅读一些教程。

我会用meteor自动化许多事情。 这是一个来自Sacha的video教程